Holger's Java API

## com.antelmann.net
Class Whois

    java.lang.Object
      com.antelmann.net.Whois

    public class Whois

extends Object

provides a simple whois client

Since:
  14.05.2012, 22:37:35
Author:
  holger

Nested Class Summary
`static class` `Whois.Item`
`static class` `Whois.Type`

Constructor Summary
`Whois()`
`Whois(InetAddress server)`
`Whois(InetAddress server, int port)`
`Whois(String hostname)`
`Whois(String server, int port)`

Method Summary
`Map<Whois.Item,String>` `getOwner(String query)`
`String` `lookup(String query)`
`Map<Whois.Item,String>` `parseResponse(String response, Whois.Type type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Whois

    public Whois()
          throws UnknownHostException

Throws:
  `UnknownHostException`

### Whois

    public Whois(String server,
                 int port)
          throws UnknownHostException

Throws:
  `UnknownHostException`

### Whois

    public Whois(InetAddress server)
          throws UnknownHostException

Throws:
  `UnknownHostException`

### Whois

    public Whois(String hostname)
          throws UnknownHostException

Throws:
  `UnknownHostException`

### Whois

    public Whois(InetAddress server,
                 int port)

Method Detail

### getOwner

    public Map<Whois.Item,String> getOwner(String query)
                                    throws IOException

  Throws:
    `IOException`

### parseResponse

    public Map<Whois.Item,String> parseResponse(String response,
                                                Whois.Type type)
                                         throws IOException

  Throws:
    `IOException`

### lookup

    public String lookup(String query)
                  throws IOException

  Throws:
    `IOException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads